DROP TABLE alert_definition CASCADE;

CREATE TABLE alert_definition
(
  alert_definition_id character varying(100) NOT NULL,
  description character varying(600),
  "name" character varying(100),
  alert_action_id integer,
  severity_id integer,
  event_definition_id integer,
  locale character varying(10) NOT NULL,
  CONSTRAINT alert_definition_pkey PRIMARY KEY (alert_definition_id, locale),
  CONSTRAINT fk3495d016bcdfbb33 FOREIGN KEY (severity_id)
      REFERENCES alert_severity (severity_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk3495d016ee3417b0 FOREIGN KEY (alert_action_id)
      REFERENCES alert_action (alert_action_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITHOUT OIDS;
ALTER TABLE alert_definition OWNER TO vcenter_admin;

CREATE OR REPLACE VIEW v_alert_definition AS 
 SELECT nextval('seq_alert_definition') as alert_id, alert_definition.alert_definition_id, alert_definition.description, alert_definition.name, alert_definition.alert_action_id, alert_definition.severity_id, event_map.original_event_definition_id, alert_definition.locale
   FROM event_map, alert_definition
  WHERE event_map.mapped_event_definition_id = alert_definition.event_definition_id;

ALTER VIEW v_alert_definition OWNER TO vcenter_admin;
